%function for computing intrinsic parameters matrix from K matrix
% Toolbox created Carles Matabosch Gerones
% Universitat de Girona, Catalunya (Spain) March 2003
function A=matrixA(K)
u0=K(1,3);
v0=K(2,3);
au=sqrt(abs(K(1,1)-u0^2));
av=sqrt(abs(K(2,2)-v0^2));
A=[au 0 u0;0 av v0;0 0 1];